# Uses of Enum Class
org.bukkit.Note.Tone

Packages that use Note.Tone
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.

## Uses of Note.Tone in org.bukkit

Methods in org.bukkit that return Note.Tone
Modifier and Type
Method
Description
`static @Nullable Note.Tone`
Note.Tone.`getById(byte id)`
Deprecated.
Magic value
`@NotNull Note.Tone`
Note.`getTone()`
Returns the tone of this note.
`static Note.Tone`
Note.Tone.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Note.Tone[]`
Note.Tone.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit with parameters of type Note.Tone
Modifier and Type
Method
Description
`static @NotNull Note`
Note.`flat(int octave, @NotNull Note.Tone tone)`
Creates a new note for a flat tone, such as A-flat.
`static @NotNull Note`
Note.`natural(int octave, @NotNull Note.Tone tone)`
Creates a new note for a natural tone, such as A-natural.
`static @NotNull Note`
Note.`sharp(int octave, @NotNull Note.Tone tone)`
Creates a new note for a sharp tone, such as A-sharp.
Constructors in org.bukkit with parameters of type Note.Tone
Modifier
Constructor
Description
``
`Note(int octave, @NotNull Note.Tone tone, boolean sharped)`
Creates a new note.